package rrdService.client;
import rrdService.service.*;
import rrdService.util.*;
import java.rmi.*;
import java.rmi.registry.*;
import java.net.*;
import java.io.*;
import java.lang.*;
import java.util.*;
import java.security.*;
/**	
* The class RoundRobinServiceClient allows to access to remote rrdService
* @author Pellier Damien 
* @version	1.0
* date : 15/07/2001
* <dt><b>key-word</b><code>
* <dd>	RMI
* </code>
* @see <a href="RoundRobinServiceClient.java">RoundRobinServiceClient</a>
* @see RoundRobinServiceClientItf
*/
public class RoundRobinServiceClient {
	/**
	* URL of RoundRobinService
	*/
	protected String serviceURL;
	/**
	* Port of RoundRobinService
	*/
	protected int servicePort;
	/**
	* reference on rrdService
	*/
	protected RoundRobinServiceItf rrdService;
	/**
	* Time zone of reference for rrdService
	*/
	public static TimeZone timeZone;
	/**
	* Default constructor
	*/
	public RoundRobinServiceClient() {
	}
	/**
	* Constructeur of RoundRobinServiceClient
	* @param serviceURL URL of RoundRobinService
	* @param servicePort port of RoundRobinService
	* @param httpPath the path where find the class ressouces on the remote http server
	*/
	public RoundRobinServiceClient(String serviceURL, int servicePort, String httpPath) throws Exception {
		this.serviceURL = serviceURL;
		this.servicePort = servicePort;	
		rrdService = (RoundRobinServiceItf)Naming.lookup(serviceURL+":"+String.valueOf(servicePort)+httpPath);
		timeZone = rrdService.getTimeZone();
	}
	/*
	* getRefRoundRobinService return the rrdservice reference 
	* @return rrdService a reference on RoundRobinService stub
	*/
	public RoundRobinServiceItf getRefRoundRobinService() {
		return rrdService;
	}
	/**
	* Returns the time zone of reference fort the RrdService
	*/ 
	public static TimeZone getTimeZone() {
		return timeZone;
	}
}