package rrdService.service;
import java.util.*;
import java.lang.*;
import java.io.*;
/**	
* The interface LockItf implement a lock for writting reading and deleting
* @author	Damien Pellier
* @version	1.0
* date : 15/07/2001
* <dt><b>key-word</b><code>
* <dd>	shared variable
* </code>
* @see <a href="LockItf.java">LockItf</a>
* @see Lock mutex
*/
public interface LockItf { 
	/**
	* Lock status ReadWrite
	*/
	public static final int READ_WRITE = 0;
	/**
	* Lock status delete
	*/
	public static final int DELETE = 1;
	/**
	* Lock in reading acces
	* return boolean true if the lock is taken
	*/
	public boolean lockRead() throws Exception ;	
	/**
	* Lock in writting acces
	* return boolean true if the lock is taken
	*/
	public boolean lockWrite() throws Exception ;
	/**
	* Lock in deleting acces
	* return boolean true if the lock is taken
	*/
	public boolean lockDelete() throws Exception ;
	/**
	* Unlock in reading acces
	* return boolean true if the lock is left
	*/
	public boolean unLockRead() throws Exception ;
	/**
	* Unlock in writting acces
	* return boolean true if the lock is left
	*/
	public boolean unLockWrite() throws Exception ; 
	/**
	* getStatus return the status of lock
	* return int reprsenting the status READ_WRITE or DELETE
	*/
	public int getStatus() throws Exception ;
}