package rrdService.service;
import java.lang.*;
import java.io.*;
import java.util.*;
/**	
* The LogFile allows to display a trace of execution in a log file
* @author	Damien Pellier
* @version	1.0
* date : 15/07/2001
* </code>
* @see <a href="LogFile.java">LogFile</a>
* @see
*/
public class LogFile extends File {
	/**
	* Constructor of class LogFile
	*/
	public LogFile() throws Exception {
		super("."+separator+"log"+separator+"Log "+
			String.valueOf(Calendar.getInstance(RoundRobinService.timeZone).get(Calendar.DAY_OF_MONTH))+"."+
			String.valueOf(Calendar.getInstance(RoundRobinService.timeZone).get(Calendar.MONTH))+"."+
			String.valueOf(Calendar.getInstance(RoundRobinService.timeZone).get(Calendar.YEAR))+"_"+
			String.valueOf(Calendar.getInstance(RoundRobinService.timeZone).get(Calendar.HOUR_OF_DAY))+"."+
			String.valueOf(Calendar.getInstance(RoundRobinService.timeZone).get(Calendar.MINUTE))+"."+
			String.valueOf(Calendar.getInstance(RoundRobinService.timeZone).get(Calendar.SECOND))+
			".txt");
		this.createNewFile();
		FileOutputStream fileOutputStreamLogFile = new FileOutputStream(this);
		PrintStream printStreamLogFile = new PrintStream(fileOutputStreamLogFile);
		System.setOut(printStreamLogFile);
	}
	/**
	* print write a String in log file
	* @param msg the message to display
	*/
	public static void print(String msg) {
		System.out.print(getTime()+" ");
		System.out.println(msg);
	}
	/**
	* printError write a error in log file
	* @param msg the message to display
	*/
	public static void printError(String error) {
		System.out.print(getTime()+" Error: ");
		System.out.println(error);
	}
	/**
	* getLogFile return the name of the logFile
	*/
	private static String getTime() {
		String time = new String();
		Calendar c = Calendar.getInstance(RoundRobinService.timeZone);
		time += String.valueOf(c.get(Calendar.DAY_OF_MONTH)) + ":";
		time += String.valueOf(c.get(Calendar.MONTH)) + ":";
		time += String.valueOf(c.get(Calendar.YEAR)) + " ";
		time += String.valueOf(c.get(Calendar.HOUR_OF_DAY)) + ":";
		time += String.valueOf(c.get(Calendar.MINUTE)) + ":";
		time += String.valueOf(c.get(Calendar.SECOND));
		return time;
	}
}