package rrdService.service;
import java.util.*;
import java.io.*;
import java.lang.*;
/**	
* The class RoundRobinFilter allows to test if file is a RoundRobin file
* @author	Damien Pellier
* @version	1.0
* date : 15/07/2001
* <dt><b>key-word</b><code>
* <dd> FilenameFilter
* </code>
* @see <a href="RoundRobinFilter.java">RoundRobinFilter</a>
* @see RoundRobinDataBase
*/
public class RoundRobinFilter implements FilenameFilter {
	/**
	* RoundRobinDataBase file extention
	*/
	public static final String RoundRobinFileExtention  = ".RRD";
	/**
	* Tests if a specified file should be included in a file list.
	* @param dir the directory in which the file was found.
	* @param name the name of the file.
	* @return true if and only if the name should be included in the file list; false otherwise.
	*/
	public boolean accept(File dir, String name) {
		return ((name.length() > 4 ) && (name.substring(name.length()-4, name.length()).equalsIgnoreCase(RoundRobinFileExtention)));
	}
}