package rrdService.util;
import java.util.*;
import java.io.*;
import java.lang.*;
import java.awt.Color;
/**	
* The class GraphicObject abstact the notion of Object graphic for a RoundRobinGraphic
* @author	Damien Pellier
* @version	1.0
* date : 15/07/2001
* </code>
* @see <a href="GraphicObject.java">GraphicObject</a>
* @see RoundRobinGraphic 
*/
public abstract class GraphicObject implements Serializable {
	/**
	* Color of the text on graphic
	*/
	protected Color color;
	/**
	* legend of the text on graphic
	*/
	protected String legend;
	/**
	* Replaces the color of the text on graphic
	* @param color the color of the text on graphic
	*/
	public void setColor(Color color) {
		this.color = color;
	}
	/**
	* Replaces the legend of the text on graphic
	* @param legend the legend of the text on graphic
	*/
	public void setLegend(String legend) {
		this.legend = legend;
	}
	/**
	* Returns the color of the text on graphic
	*/
	public Color getColor() {
		return this.color;
	}
	/**
	* Returns the legend of the text on graphic
	*/
	public String getLegend() {
		return this.legend;
	}
}