package rrdService.util;
import java.util.*;
import java.lang.*;
import java.io.*;
/**	
* The class Mutex implement a mutex
* @author	Damien Pellier
* @version	1.0
* date : 15/07/2001
* <dt><b>key-word</b><code>
* <dd>	shared variable
* </code>
* @see <a href="Mutex.java">Mutex</a>
* @see Mutex Lock
*/
public class Mutex implements Serializable {
	/**
	* allow to count the number of thread which call the mutex
	*/
	private int cpt;
	/**
	* Constructor of class Mutex
	* @param q a int which initialize the mutex
	*/
	public Mutex(int q) {
		cpt = q;
	}
	/**
	* 	Lock mutex
	*/
	public synchronized void P() {
		cpt--;
		if (cpt < 0 ) {
			try{
				wait();
			}catch(Exception e) {}
		}
	}
	/**
	* Unlock mutex
	*/
	public synchronized void V() {
		cpt++;
		if (cpt <= 0) {
			try{
				notify(); 
			}catch(Exception e) {}
		}
	}
	/**
	* return a String representation of a mutex
	*/
	public String toString() {
		if (cpt<=0) {
			return "Mutex lock";
		}
		else {
			return "Mutex unlock";
		}
	}
	/**
	* getNbThreadLocked return the number of thread lock on the mutex
	*/
	public int getNbThreadLocked() {
		return cpt;
	}
}
