package rrdService.util;
import java.io.*;
import java.lang.*;
import java.awt.Color;
/**	
* The class RoundRobinColor allows to modify the color associate with RoundRobinGraphic
* @author	Damien Pellier
* @version	1.0
* date : 15/07/2001
* </code>
* @see <a href="RoundRobinColor.java">RoundRobinColor</a>
* @see RoundRobinGraphic
*/
public class RoundRobinColor extends Color {
	/**
	* ColorTag BackGround
	*/
	public static final String BACKGROUNG = "BACK";
	/**
	* ColorTag CANVAS
	*/
	public static final String CANVAS = "CANVAS";
	/**
	* ColorTag SHADEA left/top border
	*/
	public static final String SHADEA = "SHADEA";
	/**
	* ColorTag SHADEB right/bottom border
	*/
	public static final String SHADEB = "SHADEB";
	/**
	* ColorTag GRID
	*/
	public static final String GRID = "GRID";
	/**
	* ColorTag MGRID major grid
	*/
	public static final String MGRID = "MGRID";
	/**
	* ColorTag FONT
	*/
	public static final String FONT = "FONT";
	/**
	* ColorTag FRAME
	*/
	public static final String FRAME = "FRAME";
	/**
	* ColorTag ARROW
	*/
	public static final String ARROW = "ARROW";
	/**
	* Tag or vname to color
	*/
	private String tag;
	/**
	* Constructor of a RoundRobinColo
	* @param tag the tagColor or the vname to color
	*/
	public RoundRobinColor(String tag, Color color) {
		super(color.getRGB());
		this.tag = tag;
	}
	/**
	* Replaces the tag or the vname of this RoundRobinColor
	* @param tag the tag or the vname of this RoundRobinColor
	*/
	public void setTag(String tag) {
		this.tag = tag;
	}
	/**
	* Returns the tag or the vname of this RoundRobinColor
	*/
	public String getTag() {
		return this.tag;
	}
	/**
	* Returns a string hexa representation of a color
	* @param color the color to convert
	*/
	public String colorToHexString() {
		String result = Integer.toHexString(getRGB());
		return result.substring(2, result.length());
	}
	/**
	* Returns a string representation of this round robin color
	*/
	public String toString() {
		return tag+"#"+colorToHexString();
	}
}
