package rrdService.util;
import java.util.*;
import java.io.*;
import java.lang.*;
import java.awt.Color;
/**	
* The class VRuleGraphicObject Like GraphicPrint but the text is simply printed into the graph. Draw a vertical rule into the graph and optionally add a legend 
* @author	Damien Pellier
* @version	1.0
* date : 15/07/2001
* </code>
* @see <a href="VRuleGraphicObject.java">VRuleGraphicObject</a>
* @see RoundRobinGraphic GraphicPrint
*/
public class VRuleGraphicObject extends GraphicObject implements Serializable {
	/**
	* time to print see GraphicPrint for time format
	*/
	protected String time;
	/**
	* Constructor of VRuleGraphicObject
	* @param time the time to print see GraphicPrint for time format
	* @param color the color of the text on graphic
	*/
	public VRuleGraphicObject(String time,
						Color color) {
		setTime(time);
		setColor(color);
		this.legend = null;
	}
	/**
	* Constructor of VRuleGraphicObject
	* @param time the time to print see GraphicPrint for time format
	* @param color the color of the text on graphic
	* @param legend the legend of the text on graphic
	*/
	public VRuleGraphicObject(String time,
						Color color,
						String legend) {
		setTime(time);
		setColor(color);
		setLegend(legend);
	}
	/**
	* Replaces the time to print see GraphicPrint for time format
	* @param time the time to print
	*/
	public void setTime(String time) {
		this.time = time.toUpperCase();
	}
	/**
	* Returns the time to print
	*/
	public String getTime() {
		return this.time;
	}
	/**
	* Returns a string representation of this VRuleGraphicObject
	*/
	public String toString(){
		String result = new String();
		RoundRobinColor c = new RoundRobinColor(time, color);
		if (legend != null)
			result = "VRULE:"+c.toString()+":"+legend;
		else 
			result = "VRULE:"+c.toString();
		return result;
	}
}