package rrdService.util;
import java.util.*;
import java.io.*;
import java.lang.*;
/**	
* The class YGrid makes vertical grid lines appear at grid step interval. Every label factor gridstep, a major grid line is printed, along with label showing the value of the grid line. If you want no y-grid at all use the default constructor
* @author Pellier Damien FIRMENICH SA
* @version	1.0
* date : 15/07/2001
* <dt><b>key-word</b><code>
* <dd>
* </code>
* @see <a href="YGrid.java">YGrid</a>
* @see XGrid RoundRobinGraphic
*/
public class YGrid implements Serializable {
	/**
	* The grid step of ygrid
	*/
	private int gridStep;
	/**
	* The label factor of ygrid
	*/
	private int labelFactor;
	/**
	* Default grid
	*/
	private boolean defaultGrid = false;
	/**
	* Default constructor of XGrid
	*/
	public YGrid() {
		defaultGrid = true;
	}
	/**
	* Constructor of YGrid
	* @param gridStep The grid step of ygrid
	* @param labelFactor The label factor of ygrid
	*/
	public YGrid(int gridStep,
				int labelFactor) {
		setGridStep(gridStep);
		setLabelFactor(labelFactor);
	}
	/**
	* Replaces the grid step of this xgrid
	* @param gridStep The grid step of ygrid to set
	*/
	public void setGridStep(int gridStep) {
		this.gridStep = gridStep;
	}
	/**
	* Replaces the label factor of this xgrid
	* @param gridStep The label factor of ygrid to set
	*/
	public void setLabelFactor(int labelFactor) {
		this.labelFactor = labelFactor;
	}
	/**
	* Returns the grid step of this ygrid
	*/
	public int getGridStep() {
		return this.gridStep;
	}
	/**
	* Returns the label factor of this ygrid
	*/
	public int getLabelFactor() {
		return this.labelFactor;
	}			
	/**
	* Returns a string representation of this ygrid
	*/
	public String toString() {
		if (defaultGrid) return "--y-grid none";
		else return "--y-grid "+String.valueOf(gridStep)+":"+String.valueOf(labelFactor);
	}
}